package tcra.exercises.resolve_one_way_list_private;

import java.util.List;
import tcra.math.*;

public class ResolveOneWayList_PreInsertAssertion implements
      Assertion
{
   public ResolveOneWayList_PreInsertAssertion() {}
   
   @SuppressWarnings("unchecked")
   public boolean check(List<MathType> t)
   {
      MathString<MathType> lb_self = (MathString<MathType>)t.get(0); 
     
      return(lb_self.length() < 10);
   } // end check(List<MathType>)

   @SuppressWarnings("unchecked")
   public String toInstanceString(List<MathType> t)
   {
      MathString<MathType> lb_self = (MathString<MathType>)t.get(0);
     
      
      return ""+(10-lb_self.length())+" &gt; 0";
   } // end toInstanceString(List<MathType>)

   public String toString()
   {
      return "Remaining_Cap > 0;";
   } // end toString()
} // end class
